<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('sale_invoices', function (Blueprint $table) {
            $table->unsignedBigInteger('bussiness_source_id')->nullable()->after('reff_no');
            $table->unsignedBigInteger('payment_mode_id')->nullable()->after('reff_no');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('sale_invoices', function (Blueprint $table) {
            $table->dropColumn('bussiness_source_id');
            $table->dropColumn('payment_mode_id');
        });
    }
};
